AnsweredAssumed Answered

How can i apply 4.4.2 apt patch on i.MX6DL Android KK4.4.2

Question asked by Shawn Xiao on Sep 11, 2017
Latest reply on Sep 18, 2017 by Shawn Xiao

Hi there,

I got the i.mx6 android 4.4.2 ape patch from NXP FAE. But i cannot apply the patch on KK4.4.2. Here below is my installation steps.

1, install the OMXPlayer Package and build the image with the instructions of codec release note.pdf.

2, cp lib_ape_parser_arm11_elinux.3.0.so libavcodec.so libavresample.so libavutil.so  ~/myandroid/device/fsl-codec/lib/

3, copy file 0001-device-fsl-codec-add-ape-decoder-support.patch to ~/myandroid/device/fsl-codec, then run command $ git am 0001-device-fsl-codec-add-ape-decoder-support.patch

but i received the errer message "fatal: previous rebase directory .git/rebase-apply still exists but mbox given". I googled the related the use case, but still unfixed.

Please adverse me how to fix it.

Outcomes